Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class RandomAccessShortList.RandomAccessShortSubList

    java.lang.Object
      org.apache.commons.collections.primitives.AbstractShortCollection
          org.apache.commons.collections.primitives.RandomAccessShortList
              org.apache.commons.collections.primitives.RandomAccessShortList.RandomAccessShortSubList

All Implemented Interfaces:
  ShortCollection, ShortList

Enclosing class:
  RandomAccessShortList

protected static class RandomAccessShortList.RandomAccessShortSubList
extends RandomAccessShortList
implements ShortList

Nested Class Summary

Nested classes inherited from class org.apache.commons.collections.primitives.RandomAccessShortList
`RandomAccessShortList.RandomAccessShortListIterator, RandomAccessShortList.RandomAccessShortSubList`

Method Summary
`void` | `add(int index, short element)` Inserts the specified element at the specified position (optional operation).
`short` | `get(int index)` Returns the value of the element at the specified position within me.
`short` | `removeElementAt(int index)` Removes the element at the specified position in (optional operation).
`short` | `set(int index, short element)` Replaces the element at the specified position in me with the specified element (optional operation).
`int` | `size()` Returns the number of elements I contain.

Methods inherited from class org.apache.commons.collections.primitives.RandomAccessShortList
`add, addAll, equals, getModCount, hashCode, incrModCount, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList, toString`

Methods inherited from class org.apache.commons.collections.primitives.AbstractShortCollection
`addAll, clear, contains, containsAll, isEmpty, removeAll, removeElement, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.primitives.ShortList
`add, addAll, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList`

Methods inherited from interface org.apache.commons.collections.primitives.ShortCollection
`addAll, clear, contains, containsAll, isEmpty, removeAll, removeElement, retainAll, toArray, toArray`

Method Detail

### get

    public short get(int index)

  Description copied from interface: `ShortList`
  Returns the value of the element at the specified position within me.

  Specified by:
    `get` in interface `ShortList`
  Specified by:
    `get` in class `RandomAccessShortList`

### removeElementAt

    public short removeElementAt(int index)

  Description copied from interface: `ShortList`
  Removes the element at the specified position in (optional operation). Any subsequent elements are shifted to the left, subtracting one from their indices. Returns the element that was removed.

  Specified by:
    `removeElementAt` in interface `ShortList`
  Overrides:
    `removeElementAt` in class `RandomAccessShortList`

### set

    public short set(int index,
                     short element)

  Description copied from interface: `ShortList`
  Replaces the element at the specified position in me with the specified element (optional operation).

  Specified by:
    `set` in interface `ShortList`
  Overrides:
    `set` in class `RandomAccessShortList`

### add

    public void add(int index,
                    short element)

  Description copied from interface: `ShortList`
  Inserts the specified element at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices.

  Specified by:
    `add` in interface `ShortList`
  Overrides:
    `add` in class `RandomAccessShortList`

### size

    public int size()

  Description copied from interface: `ShortCollection`
  Returns the number of elements I contain.

  Specified by:
    `size` in interface `ShortCollection`
  Specified by:
    `size` in class `RandomAccessShortList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.